package managers;

import flixel.group.FlxSpriteGroup.FlxTypedSpriteGroup;
import classes.Explosion;

class ExplosionManager
{
	static var layer:FlxTypedSpriteGroup<Explosion>;

	public static function init(layer:FlxTypedSpriteGroup<Explosion>)
	{
		ExplosionManager.layer = layer;
	}

	public static function startExplosion(x:Float, y:Float, gfx_name:String)
	{
		var explosionSprite = layer.recycle(Explosion);
		explosionSprite.setGraphics(gfx_name);
		explosionSprite.setPosition(x, y);
		explosionSprite.startExplosion();
	}
}