package windows;

import managers.StateManager;
import flixel.FlxG;
import flixel.text.FlxText;
import flixel.util.FlxColor;

class PlaceWindow extends WindowBase
{
	public function new()
	{
		super(10, 110, FlxG.width - 20, FlxG.height - 600, "Position a new Room", OnClickAbortButton);

		add(new FlxText(90, 60, 0, "Position the new room on grid.\nOr press Close button to cancel", 18, true)).color = FlxColor.BLACK;
		
		activateWindow(false);
	}

	function OnClickAbortButton():Void
	{
		activateWindow(false);
		StateManager.setGameState(Game_Run);
	}
}
