package windows;

import flixel.group.FlxSpriteGroup;
import managers.ConfigManager;
import classes.TTButton;
import flixel.text.FlxText;
import flixel.FlxG;
import flixel.FlxSprite;
import flixel.util.FlxColor;
import managers.StateManager;

class WelcomeWindow extends WindowBase
{
	public function new()
	{
		super(10, 110, FlxG.width - 20, FlxG.height - 600, "Welcome", OnClickCloseButton);

		var t = new FlxText(40, 55, 400, "Welcome to\nS.I.E. (Space-Invader Engineers)\nPress the button to proceed...", 18, true);
		t.alignment = CENTER;
		t.color = FlxColor.BLACK;
		add(t);

		activateWindow(false);
	}


	function OnClickCloseButton():Void
	{
		activateWindow(false);
		StateManager.setGameState(Game_Run);
	}
}
