package windows;

import flixel.FlxG;
import flixel.text.FlxText;
import flixel.util.FlxColor;
import managers.StateManager;
import managers.WarehouseManager;

class WinWindow extends WindowBase
{
	var infoText:FlxText;

	public function new()
	{
		super(10, 110, FlxG.width - 20, FlxG.height - 600, "FINISHED!", OnClickCloseButton);

		infoText = new FlxText(30, 35, 400, "", 18, true);
		infoText.alignment = CENTER;
		infoText.color = FlxColor.BLACK;
		add(infoText);

		activateWindow(false);
	}

	public override function activateWindow(activate:Bool)
	{
		super.activateWindow(activate);		
		infoText.text = "Congratulations!\n You removed all Invaders from the scene.\nAnd it took You the incredible time of \n" + WarehouseManager.getElapsedTimeString() + " (hrs:min:sec)";
	}

	function OnClickCloseButton():Void
	{
		activateWindow(false);
		StateManager.setGameState(Game_Run);
	}
}
