package helpers;

// This is a special class for easier handling of 2D-Array assignment for PathManager
class Array2D<PathDirection> 
{
	var sizeX:Int;
	var sizeY:Int;
	var array:Array<PathDirection>;    

	public function new(sizeX:Int, sizeY:Int, array:Array<PathDirection>) 
    { 
		this.sizeX = sizeX; 
		this.sizeY = sizeY; 
        this.array = array;
    } 

	public function get2D(x:Int, y:Int):PathDirection
    { 
		return array[sizeX * y + x];
    } 
} 