package managers;

import enums.CursorType;
import flixel.FlxG;

class CursorManager
{
	static var cursorType:CursorType = None;

	public static function setCursorType(newType:CursorType)
	{
		if (cursorType == newType)
			return;

		switch (newType)
		{
			case Normal:
				FlxG.mouse.load(ConfigManager.CURSOR_STD, 1, 0, 0);
			case Add:
				FlxG.mouse.load(ConfigManager.CURSOR_ADD, 1, 0, 0);
			case Remove:
				FlxG.mouse.load(ConfigManager.CURSOR_DEL, 1, 0, 0);
			case Link:
				FlxG.mouse.load(ConfigManager.CURSOR_LNK, 1, -10, 0);
			case _:
		}

		cursorType = newType;
	}

	public static function getCurrentCursorType():CursorType
	{
		return cursorType;
	}

}
