package managers;

import flixel.group.FlxSpriteGroup.FlxTypedSpriteGroup;
import classes.Rocket;

class RocketManager
{
	static final rocketYstartPos = 340;
	static final rocketYendPos = 160;

	static var layer:FlxTypedSpriteGroup<Rocket>;

	public static function init(layer:FlxTypedSpriteGroup<Rocket>)
	{
		RocketManager.layer = layer;
	}

	public static function startRocket(xPos: Float)
	{
		var rocketSprite = layer.recycle(Rocket);
		rocketSprite.setPosition(xPos, rocketYstartPos);
		rocketSprite.moveTo(rocketYendPos);
		SoundManager.playSound(ConfigManager.ROCKET_SOUND);
	}
}
