package windows;

import classes.TTButton;
import flixel.FlxG;
import flixel.FlxSprite;
import flixel.group.FlxSpriteGroup;
import flixel.text.FlxText;
import flixel.util.FlxColor;
import managers.ConfigManager;
import managers.StateManager;

class RemoveWindow extends WindowBase
{
	public function new()
	{
		super(10, 110, FlxG.width - 20, FlxG.height - 600, "Delete a Room", OnClickAbortButton);

		add(new FlxText(90, 60, 0, "Click on a room to delete it.\nOr press Close button to cancel", 18, true)).color = FlxColor.BLACK;

		activateWindow(false);
	}

	function OnClickAbortButton():Void
	{
		activateWindow(false);
		StateManager.setGameState(Game_Run);
	}
}
